Bug 108026 - TODO: Janitorial cleanup - upstream should default StaticNeedsPicForShared YES
Summary: TODO: Janitorial cleanup - upstream should default StaticNeedsPicForShared YES
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: EasyFix, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-26 14:10 UTC by Mike A. Harris
Modified: 2005-11-30 10:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 15:02:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2003-10-26 14:10:07 UTC
/* This is YES in xfree86.cf for all architectures but x86, and we need it
 * on x86 or else KDE/GNOME shared libs and others that link to them will
 * not be too happy.
 * Update: This is needed on x86_64 also as the xfree86.cf file settings get
 * ignored.  I've assumed they all get ignored and made it all-arch instead.
 */
#define StaticNeedsPicForShared YES

Reminder to self to do this.

Comment 2 Mike A. Harris 2005-03-15 15:02:53 UTC
Added xorg-x11-6.8.2-config-StaticNeedsPicForShared.patch to
our 6.8.2 packaging, and submitted patch for CVS head upstream:

https://bugs.freedesktop.org/show_bug.cgi?id=2739

Comment 3 Mike A. Harris 2005-11-30 10:22:19 UTC
Removed the patch previously applied, and reverted back to hard coding
StaticNeedsPicForShared YES in host.def for 6.8.x RHEL4 builds to avoid
bug #163909.

Setting status to "RAWHIDE" as X11R7 is in rawhide now, and all of the
libraries are supplied in shared form nowadays, plus we no longer ship
the static libraries, and we no longer use Imake to build X.  So this
is more or less resolved.


Note You need to log in before you can comment on or make changes to this bug.